0

I am trying to install cisco vpn client on my ubuntu box but getting errors that I dont know how to resolve.

I am trying the following client: http://projects.tuxx-home.at/?id=cisco_vpn_client

I downloaded 4.8.01 and my ubuntu version is jaunty (9.04). Below are the errors that I get while trying to install

Making module
make -C /lib/modules/2.6.28-14-generic/build SUBDIRS=/home/bhaarat/Downloads/vpnclient modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.28-14-generic'
  CC [M]  /home/bhaarat/Downloads/vpnclient/linuxcniapi.o
In file included from /home/bhaarat/Downloads/vpnclient/Cniapi.h:15,
                 from /home/bhaarat/Downloads/vpnclient/linuxcniapi.c:31:
/home/bhaarat/Downloads/vpnclient/GenDefs.h:113: error: conflicting types for ‘uintptr_t’
include/linux/types.h:40: error: previous declaration of ‘uintptr_t’ was here
make[2]: *** [/home/bhaarat/Downloads/vpnclient/linuxcniapi.o] Error 1
make[1]: *** [_module_/home/bhaarat/Downloads/vpnclient] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.28-14-generic'
make: *** [default] Error 2
Failed to make module "cisco_ipsec.ko".

Can someone tell me how to resolve this or suggest some other cisco vpn for ubuntu that you know works?

Furthermore, after i get the vpn and am able to connect ...will I be able to RDP into a window machine from ubuntu?

0

I was looking for a way of connecting to my office VPN on Jaunty, and I used vpnc, with this article as a reference successfully.

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.